retrie-1.2.2: A powerful, easy-to-use codemodding tool for Haskell.

Safe Haskell | Safe-Inferred
Language | Haskell2010

Retrie.PatternMap.Bag

# Documentation

data BoolMap a #

Constructors

EmptyBoolMap |
BoolMap |

Fields

- bmTrue :: MaybeMap a
- bmFalse :: MaybeMap a

#### Instances

Instances details

Functor BoolMap # |
Instance details Defined in Retrie.PatternMap.Bag Methods fmap :: (a -> b) -> BoolMap a -> BoolMap b # (<$) :: a -> BoolMap b -> BoolMap a #
PatternMap BoolMap # |
Instance details Defined in Retrie.PatternMap.Bag Associated Types type Key BoolMap # Methods mEmpty :: BoolMap a # mUnion :: BoolMap a -> BoolMap a -> BoolMap a # mAlter :: AlphaEnv -> Quantifiers -> Key BoolMap -> A a -> BoolMap a -> BoolMap a # mMatch :: MatchEnv -> Key BoolMap -> (Substitution, BoolMap a) -> [(Substitution, a)] #
type Key BoolMap # |
Instance details Defined in Retrie.PatternMap.Bag type Key BoolMap = Bool

newtype IntMap a #

Constructors

IntMap |

Fields

- unIntMap :: IntMap [a]

#### Instances

Instances details

Functor IntMap # |
Instance details Defined in Retrie.PatternMap.Bag Methods fmap :: (a -> b) -> IntMap a -> IntMap b # (<$) :: a -> IntMap b -> IntMap a #
PatternMap IntMap # |
Instance details Defined in Retrie.PatternMap.Bag Associated Types type Key IntMap # Methods mEmpty :: IntMap a # mUnion :: IntMap a -> IntMap a -> IntMap a # mAlter :: AlphaEnv -> Quantifiers -> Key IntMap -> A a -> IntMap a -> IntMap a # mMatch :: MatchEnv -> Key IntMap -> (Substitution, IntMap a) -> [(Substitution, a)] #
type Key IntMap # |
Instance details Defined in Retrie.PatternMap.Bag type Key IntMap = Key

newtype Map k a #

Constructors

Map |

Fields

- unMap :: Map k [a]

#### Instances

Instances details

Functor (Map k) # |
Instance details Defined in Retrie.PatternMap.Bag Methods fmap :: (a -> b) -> Map k a -> Map k b # (<$) :: a -> Map k b -> Map k a #
Ord k => PatternMap (Map k) # |
Instance details Defined in Retrie.PatternMap.Bag Associated Types type Key (Map k) # Methods mEmpty :: Map k a # mUnion :: Map k a -> Map k a -> Map k a # mAlter :: AlphaEnv -> Quantifiers -> Key (Map k) -> A a -> Map k a -> Map k a # mMatch :: MatchEnv -> Key (Map k) -> (Substitution, Map k a) -> [(Substitution, a)] #
type Key (Map k) # |
Instance details Defined in Retrie.PatternMap.Bag type Key (Map k) = k

mapAssocs :: Map k v -> [(k, v)] #

newtype FSEnv a #

Constructors

FSEnv |

Fields

- _unFSEnv :: UniqFM a

#### Instances

Instances details

Functor FSEnv # |
Instance details Defined in Retrie.PatternMap.Bag Methods fmap :: (a -> b) -> FSEnv a -> FSEnv b # (<$) :: a -> FSEnv b -> FSEnv a #
PatternMap FSEnv # |
Instance details Defined in Retrie.PatternMap.Bag Associated Types type Key FSEnv # Methods mEmpty :: FSEnv a # mUnion :: FSEnv a -> FSEnv a -> FSEnv a # mAlter :: AlphaEnv -> Quantifiers -> Key FSEnv -> A a -> FSEnv a -> FSEnv a # mMatch :: MatchEnv -> Key FSEnv -> (Substitution, FSEnv a) -> [(Substitution, a)] #
type Key FSEnv # |
Instance details Defined in Retrie.PatternMap.Bag type Key FSEnv = FastString

newtype UniqFM a #

Constructors

UniqFM |

Fields

- unUniqFM :: UniqFM Unique [a]

#### Instances

Instances details

Functor UniqFM # |
Instance details Defined in Retrie.PatternMap.Bag Methods fmap :: (a -> b) -> UniqFM a -> UniqFM b # (<$) :: a -> UniqFM b -> UniqFM a #
PatternMap UniqFM # |
Instance details Defined in Retrie.PatternMap.Bag Associated Types type Key UniqFM # Methods mEmpty :: UniqFM a # mUnion :: UniqFM a -> UniqFM a -> UniqFM a # mAlter :: AlphaEnv -> Quantifiers -> Key UniqFM -> A a -> UniqFM a -> UniqFM a # mMatch :: MatchEnv -> Key UniqFM -> (Substitution, UniqFM a) -> [(Substitution, a)] #
type Key UniqFM # |
Instance details Defined in Retrie.PatternMap.Bag type Key UniqFM = Unique